aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sci-physics')
-rw-r--r--sci-physics/cuttools/Manifest1
-rw-r--r--sci-physics/cuttools/cuttools-1.8.2.ebuild52
-rw-r--r--sci-physics/cuttools/files/mpnumdummy.f9026
-rw-r--r--sci-physics/cuttools/metadata.xml22
-rw-r--r--sci-physics/evtgen/Manifest1
-rw-r--r--sci-physics/evtgen/evtgen-02.02.01.ebuild39
-rw-r--r--sci-physics/evtgen/metadata.xml23
-rw-r--r--sci-physics/herwig/Manifest1
-rw-r--r--sci-physics/herwig/herwig-7.3.0.ebuild65
-rw-r--r--sci-physics/herwig/metadata.xml26
-rw-r--r--sci-physics/madgraph5/Manifest1
-rw-r--r--sci-physics/madgraph5/files/cuttools.patch44
-rw-r--r--sci-physics/madgraph5/madgraph5-3.5.3.ebuild93
-rw-r--r--sci-physics/madgraph5/metadata.xml32
-rw-r--r--sci-physics/mcfm/mcfm-10.2.1.ebuild2
-rw-r--r--sci-physics/oneloop/Manifest3
-rw-r--r--sci-physics/oneloop/files/oneloop-3.6_p20200731-config.patch (renamed from sci-physics/oneloop/files/oneloop-2020.07.31-config.patch)0
-rw-r--r--sci-physics/oneloop/metadata.xml16
-rw-r--r--sci-physics/oneloop/oneloop-2020.07.31.ebuild46
-rw-r--r--sci-physics/oneloop/oneloop-3.6.ebuild106
-rw-r--r--sci-physics/oneloop/oneloop-3.6_p20200731.ebuild104
-rw-r--r--sci-physics/openloops/Manifest1
-rw-r--r--sci-physics/openloops/files/openloops-2.1.2-ldflags.patch11
-rw-r--r--sci-physics/openloops/files/openloops-2.1.2-python3.12.patch34
-rw-r--r--sci-physics/openloops/metadata.xml23
-rw-r--r--sci-physics/openloops/openloops-2.1.3.ebuild108
-rw-r--r--sci-physics/photos/Manifest1
-rw-r--r--sci-physics/photos/metadata.xml23
-rw-r--r--sci-physics/photos/photos-3.64.ebuild82
-rw-r--r--sci-physics/qgraf/Manifest1
-rw-r--r--sci-physics/qgraf/qgraf-4.0.1.ebuild32
-rw-r--r--sci-physics/sherpa/Manifest1
-rw-r--r--sci-physics/sherpa/metadata.xml27
-rw-r--r--sci-physics/sherpa/sherpa-3.0.0_beta1.ebuild94
-rw-r--r--sci-physics/sherpa/sherpa-9999.ebuild94
-rw-r--r--sci-physics/tauola/files/tauola-1.1.8-tau-spinner-makefile-install.patch22
-rw-r--r--sci-physics/tauola/metadata.xml13
-rw-r--r--sci-physics/tauola/tauola-1.1.8-r1.ebuild80
38 files changed, 1300 insertions, 50 deletions
diff --git a/sci-physics/cuttools/Manifest b/sci-physics/cuttools/Manifest
new file mode 100644
index 000000000..590c6fd51
--- /dev/null
+++ b/sci-physics/cuttools/Manifest
@@ -0,0 +1 @@
+DIST cuttools_v1.8.2.tar.gz 962232 BLAKE2B aaec06cc892577c2e562e8ee07e9863dd42a8bbf878b4e2aee01d2bbf5bb27bb9e4f50ef3c3a66fe00e73cc527e23b0274f9c3df169779c5fb529c9ff5610cb0 SHA512 6f1af82caa2a86669271346fa4a4f1d13b39f1c1ee7562c5fc29f250276d59017722a55256358bd006819a442acd3198901b642039be9f6a78d3cf31fe0ca976
diff --git a/sci-physics/cuttools/cuttools-1.8.2.ebuild b/sci-physics/cuttools/cuttools-1.8.2.ebuild
new file mode 100644
index 000000000..d72b6def0
--- /dev/null
+++ b/sci-physics/cuttools/cuttools-1.8.2.ebuild
@@ -0,0 +1,52 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit fortran-2 toolchain-funcs
+
+DESCRIPTION="Computing 1-loop amplitudes at the integrand level"
+HOMEPAGE="https://www.ugr.es/~pittau/CutTools/"
+SRC_URI="https://www.ugr.es/~pittau/CutTools/${PN}_v${PV}.tar.gz"
+S="${WORKDIR}"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+
+IUSE="+dummy"
+DEPEND="
+ sci-physics/qcdloop
+ sci-physics/oneloop[dpkind,qpkind16,-qpkind,-tlevel]
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ default
+ sed -i 's/^ALL =.*$/ALL = $(CTS)/' src/makefile || die
+ if use dummy ; then
+ cp "${FILESDIR}"/mpnumdummy.f90 src/cts/mpnumdummy.f90 || die
+ fi
+ if use dummy ; then
+ sed -i 's/CTS =/CTS = mpnumdummy.o/' src/makefile || die
+ fi
+}
+
+src_compile() {
+ emake -j1 FFLAGS="${FFLAGS} -I${ESYSROOT}/usr/include -fPIC -std=legacy"
+ tc-export AR CXX
+ cd includects || die
+ ${AR} -x libcts.a || die
+ ${CXX} ${CXXFLAGS} -shared *.o -o lib${PN}.so || die
+}
+
+src_install() {
+ cd includects || die
+ dolib.so lib${PN}.so
+ cd .. || die
+ mv includects ${PN} || die
+ rm ${PN}/*.a || die
+ rm ${PN}/*.so || die
+ rm ${PN}/*.o || die
+ doheader -r ${PN}
+}
diff --git a/sci-physics/cuttools/files/mpnumdummy.f90 b/sci-physics/cuttools/files/mpnumdummy.f90
new file mode 100644
index 000000000..be1e0d52b
--- /dev/null
+++ b/sci-physics/cuttools/files/mpnumdummy.f90
@@ -0,0 +1,26 @@
+
+module cts_numdummies
+ implicit none
+ contains
+
+ subroutine dpnumdummy(q,amp)
+ ! dummy numerator in double precision. Always returns zero.
+ implicit none
+ include 'cts_dpc.h'
+ , intent(in), dimension(0:3) :: q
+ include 'cts_dpc.h'
+ , intent(out) :: amp
+ amp = 0
+ end subroutine dpnumdummy
+
+ subroutine mpnumdummy(q,amp)
+ ! dummy numerator in quad precision. Always returns zero.
+ include 'cts_mprec.h'
+ implicit none
+ include 'cts_mpc.h'
+ , intent(in), dimension(0:3) :: q
+ include 'cts_mpc.h'
+ , intent(out) :: amp
+ amp = 0
+ end subroutine mpnumdummy
+end module cts_numdummies
diff --git a/sci-physics/cuttools/metadata.xml b/sci-physics/cuttools/metadata.xml
new file mode 100644
index 000000000..ceddefcf0
--- /dev/null
+++ b/sci-physics/cuttools/metadata.xml
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>alexander@neuwirth-informatik.de</email>
+ <name>Alexander Puck Neuwirth</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>sci-physics@gentoo.org</email>
+ <name>Gentoo Physics Project</name>
+ </maintainer>
+ <longdescription>
+ A package for evaluation of scalar and tensor one-loop integrals
+ based on the FF package by G.J. van Oldenborgh.
+ It features an easy Fortran, C++, and Mathematica interface
+ to the scalar one-loop functions of FF and in addition provides
+ the 2-, 3-, and 4-point tensor coefficient functions.
+ </longdescription>
+ <use>
+ <flag name="dummy">Add dummy module for OpenLoops</flag>
+ </use>
+</pkgmetadata>
diff --git a/sci-physics/evtgen/Manifest b/sci-physics/evtgen/Manifest
new file mode 100644
index 000000000..174d16349
--- /dev/null
+++ b/sci-physics/evtgen/Manifest
@@ -0,0 +1 @@
+DIST evtgen-02.02.01.tar.gz 2941525 BLAKE2B 8672f2d2e7452ba2330180a7e385d020372bdb436d22b12507ee22344f5013b439f68817e70ed50afbc3585beb15f01b0c29ee35dcbbaac8ec1ee0f8d573b3e2 SHA512 652424dae1d3e3d69c19fa946cd00e61ca5117e38eee20a41a98972374d79261fe7267311c06ecab497729f31e5842e340d6739434f09e5088972c95d2ce9c17
diff --git a/sci-physics/evtgen/evtgen-02.02.01.ebuild b/sci-physics/evtgen/evtgen-02.02.01.ebuild
new file mode 100644
index 000000000..32c0ab3a8
--- /dev/null
+++ b/sci-physics/evtgen/evtgen-02.02.01.ebuild
@@ -0,0 +1,39 @@
+EAPI=8
+
+CMAKE_MAKEFILE_GENERATOR="emake"
+
+inherit cmake
+
+MY_PN="EvtGen"
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="EvtGen is a Monte Carlo event generator that simulates the decays"
+HOMEPAGE="https://evtgen.hepforge.org/"
+SRC_URI="https://evtgen.hepforge.org/downloads?f=${MY_P}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${MY_PN}/R$(ver_rs 1-2 '-')"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+hepmc3 pythia photos tauola"
+
+RDEPEND="
+ !hepmc3? ( sci-physics/hepmc:2= )
+ hepmc3? ( sci-physics/hepmc:3= )
+ pythia? ( >=sci-physics/pythia-8.3.0:= )
+ photos? ( >=sci-physics/photos-3.64:= )
+ tauola? ( >=sci-physics/tauola-1.1.8:= )
+"
+DEPEND="${RDEPEND}"
+
+src_configure() {
+ local mycmakeargs=(
+ -DEVTGEN_HEPMC3=$(usex hepmc3 ON OFF)
+ -DHEPMC3_ROOT_DIR="${ESYSROOT}/usr"
+ -DEVTGEN_PYTHIA=$(usex pythia ON OFF)
+ $(usex pythia -DPYTHIA8_ROOT_DIR="${ESYSROOT}/usr")
+ -DEVTGEN_PHOTOS=$(usex photos ON OFF)
+ -DEVTGEN_TAUOLA=$(usex tauola ON OFF)
+ )
+ cmake_src_configure
+}
diff --git a/sci-physics/evtgen/metadata.xml b/sci-physics/evtgen/metadata.xml
new file mode 100644
index 000000000..08f4b4aec
--- /dev/null
+++ b/sci-physics/evtgen/metadata.xml
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>alexander@neuwirth-informatik.de</email>
+ <name>Alexander Puck Neuwirth</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>sci-physics@gentoo.org</email>
+ <name>Gentoo Physics Project</name>
+ </maintainer>
+
+ <longdescription lang="en">
+ EvtGen is a Monte Carlo event generator that simulates the decays of heavy flavour particles, primarily B and D mesons. It contains a range of decay models for intermediate and final states containing scalar, vector and tensor mesons or resonances, as well as leptons, photons and baryons. Decay amplitudes are used to generate each branch of a given full decay tree, taking into account angular and time-dependent correlations which allows for the simulation of CP-violating processes. Originally written by Anders Ryd and David Lange, this package is used by many particle physics experiments worldwide, including ATLAS, BaBar, Belle(-II), BES III, CDF, CLEO(-c), CMS, D0, and LHCb. The maintenance and development of the package is now performed by the particle physics group at the University of Warwick (in particular by John Back, Michal Kreps, and Thomas Latham).
+ </longdescription>
+
+ <use>
+ <flag name="pythia">Build with pythia</flag>
+ <flag name="photos">Build with photos</flag>
+ <flag name="tauola">Build with tauola</flag>
+ <flag name="hepmc3">Build with hepmc version 3 support, else hepmc version2 is used</flag>
+ </use>
+</pkgmetadata>
diff --git a/sci-physics/herwig/Manifest b/sci-physics/herwig/Manifest
new file mode 100644
index 000000000..01457a201
--- /dev/null
+++ b/sci-physics/herwig/Manifest
@@ -0,0 +1 @@
+DIST herwig-7.3.0.tar.bz2 4264666 BLAKE2B 33b9bbce0f69f5c73ddc16c19d98323ea60d89fb00dacdbb069440b574721bd44eee6528d78b2e9aaf3bea1d59e5112ca3f4c780032da9807e6d2a676ebacde5 SHA512 29254026c715550d0cd537a33ac37d17ab93279087901e284fea4209091fd3f84244ecbd223e0fe3fd30923c755d630cf066b17bc35288c5f3ab6f4e8d4a5bbe
diff --git a/sci-physics/herwig/herwig-7.3.0.ebuild b/sci-physics/herwig/herwig-7.3.0.ebuild
new file mode 100644
index 000000000..5576f3cf7
--- /dev/null
+++ b/sci-physics/herwig/herwig-7.3.0.ebuild
@@ -0,0 +1,65 @@
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit fortran-2 python-single-r1 autotools
+
+MY_PN="Herwig"
+MY_PF=${MY_PN}-${PV}
+
+DESCRIPTION="Herwig is a multi-purpose particle physics event generator."
+HOMEPAGE="https://herwig.hepforge.org/"
+SRC_URI="https://herwig.hepforge.org/downloads?f=${MY_PF}.tar.bz2 -> ${P}.tar.bz2"
+S="${WORKDIR}/${MY_PF}"
+
+LICENSE="GPL-3+"
+SLOT="7"
+KEYWORDS="~amd64"
+IUSE="+pythia" # madgraph openloops gosam vbfnlo njet
+REQUIRED_USE="
+ ${PYTHON_REQUIRED_USE}
+"
+
+RDEPEND="
+ >=dev-libs/boost-1.62
+ >=sci-libs/gsl-2.6
+ sci-physics/fastjet
+ sci-physics/lhapdf-sets[lhapdf_sets_ct14lo,lhapdf_sets_ct14nlo]
+ >=sci-physics/lhapdf-6.1.6[python(+),${PYTHON_SINGLE_USEDEP}]
+ >=sci-physics/thepeg-2.1.0[lhapdf,fastjet,-hepmc2(-),hepmc3(-),rivet(-)]
+ >=sci-physics/evtgen-02.02.00[pythia]
+ pythia? ( sci-physics/pythia:8= )
+ ${PYTHON_DEPS}
+"
+# madgraph? ( sci-physics/madgraph5 )
+# openloops? ( sci-physics/openloops )
+# gosam? ( sci-physics/gosam )
+# vbfnlo? ( sci-physics/vbfnlo )
+# njet? ( sci-physics/njet )
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+# https://herwig.hepforge.org/tutorials/installation/manual.html
+# Minimal installation for now
+src_configure() {
+ CONFIG_SHELL=${ESYSROOT}/bin/bash \
+ econf \
+ --with-evtgen="${EPREFIX}"/usr \
+ --with-fastjet="${EPREFIX}"/usr \
+ --with-thepeg="${EPREFIX}"/usr \
+ --with-boost="${EPREFIX}"/usr \
+ $(use_with pythia pythia "${EPREFIX}"/usr) \
+ # $(use_with madgraph madgraph "${EPREFIX}"/opt/MadGraph5/ ) \
+ # $(use_with openloops openloops "${EPREFIX}"/opt/OpenLoops2/ ) \
+ # $(use_with gosam gosam "${EPREFIX}"/usr) \
+ # $(use_with vbfnlo vbfnlo "${EPREFIX}"/usr) \
+ # $(use_with njet njet "${EPREFIX}"/usr)
+}
+
+src_install() {
+ default
+}
diff --git a/sci-physics/herwig/metadata.xml b/sci-physics/herwig/metadata.xml
new file mode 100644
index 000000000..804bc3361
--- /dev/null
+++ b/sci-physics/herwig/metadata.xml
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>alexander@neuwirth-informatik.de</email>
+ <name>Alexander Puck Neuwirth</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>sci-physics@gentoo.org</email>
+ <name>Gentoo Physics Project</name>
+ </maintainer>
+
+ <longdescription lang="en">
+ Herwig provides significantly improved and extended physics capabilities when compared to both its predecessors, HERWIG 6 and Herwig++ 2, while keeping the key model motivations such as coherent parton showers (including angular-ordered and dipole-based evolution), the cluster hadronization model, an eikonal multiple-interaction model, highly flexible BSM capabilities and improved perturbative input using next-to-leading order QCD.
+ </longdescription>
+ <use>
+ <flag name="pythia">Build with pythia support </flag>
+<!--
+ <flag name="openloops">Build with openloops support </flag>
+ <flag name="gosam">Build with gosam support </flag>
+ <flag name="madgraph">Build with madgraph support </flag>
+ <flag name="vbfnlo">Build with vbfnlo support </flag>
+ <flag name="njet">Build with njet support </flag>
+-->
+ </use>
+</pkgmetadata>
diff --git a/sci-physics/madgraph5/Manifest b/sci-physics/madgraph5/Manifest
new file mode 100644
index 000000000..2a2eb6ab2
--- /dev/null
+++ b/sci-physics/madgraph5/Manifest
@@ -0,0 +1 @@
+DIST MadGraph5-3.5.3.tar.gz 30234007 BLAKE2B 092462f8a5653b11abff554b733f64e06ce35fc9559400208e9db1412d3b8357dcb3bd3653b99fd48ca9727f195099591d177f33e607a2fff3d339dee9aafb3b SHA512 b9d75a4c37e30a11a7e041b7c657a221a2ef27a5c3fafd09ec37ec5b2cfe953e0baa28dea73061ee155324f992b780259b8ddd6930b37a56894ffcf235ee960a
diff --git a/sci-physics/madgraph5/files/cuttools.patch b/sci-physics/madgraph5/files/cuttools.patch
new file mode 100644
index 000000000..0d6249af8
--- /dev/null
+++ b/sci-physics/madgraph5/files/cuttools.patch
@@ -0,0 +1,44 @@
+diff -Naru MG5_aMC_v2_9_6.orig/vendor/CutTools/makefile MG5_aMC_v2_9_6/vendor/CutTools/makefile
+--- MG5_aMC_v2_9_6.orig/vendor/CutTools/makefile 2022-04-13 11:13:28.277248753 +0200
++++ MG5_aMC_v2_9_6/vendor/CutTools/makefile 2022-04-13 11:13:43.702292725 +0200
+@@ -42,15 +42,15 @@
+ endif
+
+ cpmp:
+- cp -p ./src/cts/cts_mpr.in ./src/cts/cts_mpr.h
+- cp -p ./src/cts/cts_mpc.in ./src/cts/cts_mpc.h
+- cp -p ./src/cts/cts_mprec.in ./src/cts/cts_mprec.h
+- cp -p ./src/cts/cts_mpinit.in ./src/cts/cts_mpinit.h
++ cp ./src/cts/cts_mpr.in ./src/cts/cts_mpr.h
++ cp ./src/cts/cts_mpc.in ./src/cts/cts_mpc.h
++ cp ./src/cts/cts_mprec.in ./src/cts/cts_mprec.h
++ cp ./src/cts/cts_mpinit.in ./src/cts/cts_mpinit.h
+ cpqp:
+- cp -p ./src/cts/cts_qpr.in ./src/cts/cts_mpr.h
+- cp -p ./src/cts/cts_qpc.in ./src/cts/cts_mpc.h
+- cp -p ./src/cts/cts_qprec.in ./src/cts/cts_mprec.h
+- cp -p ./src/cts/cts_qpinit.in ./src/cts/cts_mpinit.h
++ cp ./src/cts/cts_qpr.in ./src/cts/cts_mpr.h
++ cp ./src/cts/cts_qpc.in ./src/cts/cts_mpc.h
++ cp ./src/cts/cts_qprec.in ./src/cts/cts_mprec.h
++ cp ./src/cts/cts_qpinit.in ./src/cts/cts_mpinit.h
+
+ clean$(BLD): default
+ rm -fr $(BLD)/*.f
+@@ -68,11 +68,11 @@
+
+ $(BLD)/version.h:
+ -mkdir -p $(BLD)
+- cp -p ./src/avh/* $(BLD)/
+- cp -p ./src/cts/* $(BLD)/
+- cp -p ./src/mpfun90/* $(BLD)/
+- cp -p ./src/qcdloop/* $(BLD)/
+- cp -p ./src/makefile $(BLD)/
++ cp ./src/avh/* $(BLD)/
++ cp ./src/cts/* $(BLD)/
++ cp ./src/mpfun90/* $(BLD)/
++ cp ./src/qcdloop/* $(BLD)/
++ cp ./src/makefile $(BLD)/
+
+ tar:
+ tar -czvf $(CTS_TAR) *
diff --git a/sci-physics/madgraph5/madgraph5-3.5.3.ebuild b/sci-physics/madgraph5/madgraph5-3.5.3.ebuild
new file mode 100644
index 000000000..3ced7918c
--- /dev/null
+++ b/sci-physics/madgraph5/madgraph5-3.5.3.ebuild
@@ -0,0 +1,93 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# does not escape strings properly, so no python3_12 for now
+PYTHON_COMPAT=( python3_11 )
+inherit fortran-2 python-single-r1
+
+MY_PNN="MadGraph5"
+MY_PV=$(ver_rs 1-3 '_')
+MY_PN="MG5_aMC_v"
+MY_PF=${MY_PN}${MY_PV}
+
+DESCRIPTION="MadGraph5_aMC@NLO"
+HOMEPAGE="https://launchpad.net/mg5amcnlo"
+SRC_URI="https://launchpad.net/mg5amcnlo/$(ver_cut 1).0/$(ver_cut 1-2).x/+download/${MY_PN}${PV}.tar.gz -> ${MY_PNN}-${PV}.tar.gz"
+S="${WORKDIR}/${MY_PF}"
+
+LICENSE="UoI-NCSA"
+SLOT="3"
+KEYWORDS="~amd64"
+# TODO add pineapple, herwig, syscalc, pjfrym, pineappl
+IUSE="+hepmc2 +lhapdf +fastjet pythia collier thepeg" # td madanalysis5 ninja samurai golem95
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ sys-libs/zlib
+ sys-devel/gcc:*[fortran]
+ $(python_gen_cond_dep '
+ dev-python/numpy[${PYTHON_USEDEP}]
+ ')
+ lhapdf? ( sci-physics/lhapdf[${PYTHON_SINGLE_USEDEP}] )
+ fastjet? ( sci-physics/fastjet[${PYTHON_SINGLE_USEDEP}] )
+ pythia? ( sci-physics/pythia:8=[examples] )
+ hepmc2? ( sci-physics/hepmc:2 )
+ collier? ( sci-physics/collier[static-libs] )
+ thepeg? (
+ sci-physics/thepeg[hepmc3(-),fastjet?,lhapdf?]
+ )
+"
+# madanalysis5? ( sci-physics/madanalysis5 )
+# td? ( sci-physics/topdrawer )
+# ninja? ( sci-physics/ninja[static-libs] )
+# samurai? ( sci-physics/samurai )
+# golem95? ( sci-physics/golem95 )
+DEPEND="${RDEPEND}"
+
+PATCHES=( "${FILESDIR}"/cuttools.patch )
+
+src_unpack() {
+ # Perserve permissions
+ tar xvzf "${DISTDIR}/${MY_PNN}-${PV}.tar.gz" -C "${WORKDIR}" || die
+}
+
+src_configure() {
+ cat <<-EOF >> input/mg5_configuration.txt || die
+ $(usex lhapdf "lhapdf_py3 = ${EPREFIX}/usr/bin/lhapdf-config" "")
+ $(usex fastjet "fastjet = ${EPREFIX}/usr/bin/fastjet-config" "")
+ $(usex pythia "pythia8_path = ${EPREFIX}/usr" "")
+ $(usex hepmc2 "hepmc_path = ${EPREFIX}/usr" "")
+ $(usex collier "collier = ${EPREFIX}/usr/$(get_libdir)" "")
+ $(usex thepeg "thepeg_path = ${EPREFIX}/usr/$(get_libdir)" "")
+ auto_update = 0
+ EOF
+
+ #use ninja && echo "ninja = ${EPREFIX}/usr/$(get_libdir)" >> input/mg5_configuration.txt
+ #use samurai && echo "samurai = ${EPREFIX}/usr/$(get_libdir)" >> input/mg5_configuration.txt
+ #use golem95 && echo "golem = ${EPREFIX}/usr/$(get_libdir)" >> input/mg5_configuration.txt
+ #use td && echo "td_path = ${EPREFIX}/usr/bin/td" >> input/mg5_configuration.txt
+ #use madanalysis5 && echo "madanalysis5_path = ${EPREFIX}/opt/MadAnalysis5/" >> input/mg5_configuration.txt
+}
+
+src_compile() {
+ # MadGraph needs to generate `Template/LO/Source/make_opts` which is done
+ # automatically at startup. This needs to be done during setup (or with root access)
+ echo "exit" > tmpfile || die
+ bin/mg5_aMC ./tmpfile || die
+ rm tmpfile || die
+}
+
+src_install() {
+ # symlink entrypoint
+ dosym ../../opt/${MY_PF}/bin/mg5_aMC /usr/bin/mg5_aMC3
+ dosym ../opt/${MY_PF} /opt/"${MY_PNN}"
+ mv "${WORKDIR}/${MY_PF}" "${ED}/opt/" || die
+
+ # allow all users to modify mg directory
+ # as it changes it self
+ #fperms -R a=u /opt/${MY_PF}
+ #fperms a=u /opt/${MY_PF}
+}
diff --git a/sci-physics/madgraph5/metadata.xml b/sci-physics/madgraph5/metadata.xml
new file mode 100644
index 000000000..8fc26f579
--- /dev/null
+++ b/sci-physics/madgraph5/metadata.xml
@@ -0,0 +1,32 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>alexander@neuwirth-informatik.de</email>
+ <name>Alexander Puck Neuwirth</name>
+ </maintainer>
+ <longdescription lang="en">
+ MadGraph5_aMC@NLO is a framework that aims at providing all the elements necessary for SM and BSM phenomenology, such as the computations of cross sections, the generation of hard events and their matching with event generators, and the use of a variety of tools relevant to event manipulation and analysis. Processes can be simulated to LO accuracy for any user-defined Lagrangian, an the NLO accuracy in the case of models that support this kind of calculations -- prominent among these are QCD and EW corrections to SM processes. Matrix elements at the tree- and one-loop-level can also be obtained.
+ </longdescription>
+ <use>
+ <flag name="lhapdf">USE system LHAPDF</flag>
+ <flag name="fastjet">USE system FASTJET</flag>
+ <flag name="pythia">USE system PYTHIA</flag>
+ <flag name="hepmc2">USE system hepmc version 2</flag>
+ <flag name="thepeg">USE system thepeg</flag>
+ <flag name="collier">USE system collier</flag>
+<!--
+ <flag name="ninja">USE system ninja</flag>
+ <flag name="samurai">USE system samurai</flag>
+ <flag name="pineappl">USE system pineappl</flag>
+ <flag name="herwig">USE system herwig</flag>
+ <flag name="madanalysis5">USE system madanalysis5</flag>
+ <flag name="golem95">USE system golem95</flag>
+ <flag name="td">USE system topdrawer</flag>
+ <flag name="rivet">USE system rivet</flag>
+-->
+ </use>
+ <upstream>
+ <remote-id type="launchpad">mg5amcnlo</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/sci-physics/mcfm/mcfm-10.2.1.ebuild b/sci-physics/mcfm/mcfm-10.2.1.ebuild
index bfc795247..e2b3b0bcb 100644
--- a/sci-physics/mcfm/mcfm-10.2.1.ebuild
+++ b/sci-physics/mcfm/mcfm-10.2.1.ebuild
@@ -25,7 +25,7 @@ DEPEND="
sci-physics/lhapdf
>=sci-libs/qd-2.3.22
>=sci-physics/qcdloop-2.0.5
- >=sci-physics/oneloop-2020.07.31
+ >=sci-physics/oneloop-3.6_p20200731
>=sci-libs/handyg-0.1.5
"
RDEPEND="${DEPEND}"
diff --git a/sci-physics/oneloop/Manifest b/sci-physics/oneloop/Manifest
index f698d0a23..baeb504b0 100644
--- a/sci-physics/oneloop/Manifest
+++ b/sci-physics/oneloop/Manifest
@@ -1 +1,2 @@
-DIST oneloop-2020.07.31.zip 166257 BLAKE2B 7869806c6e70388311b62ae1ad15b35292c81d5d87ff7f24ad53bb8e562631664545f36e3e32d6f31a39ca9489d7da64284ad10ed988cb7c4375626121d0a84f SHA512 eee46cfe60b1d887cb40033e63d7a04ca24b329692e443d28ecb9f070182d5c56ea5bbaefd2ae21b2776d907ea280ebf81cae0c332391e7e7e7d5e3be3084220
+DIST OneLOop-3.6.tgz 111734 BLAKE2B 61e1638b17ec356c29d40c2af187464d5499b9172c2858fc47486bd527f0f47e90eba4d836697176a1ecbb01b7344d774bc595c722a92abede143b3df90067d9 SHA512 979981ad5ecdf1f71424c7b8a8d12c7d30aa140c62295a4452d3e5c0e260d42b431c12efcc0d7f0ab55ee2f9af08d4ab204ada5860f65343b24552cbdd3f3cd2
+DIST oneloop-3.6_p20200731.zip 166257 BLAKE2B 7869806c6e70388311b62ae1ad15b35292c81d5d87ff7f24ad53bb8e562631664545f36e3e32d6f31a39ca9489d7da64284ad10ed988cb7c4375626121d0a84f SHA512 eee46cfe60b1d887cb40033e63d7a04ca24b329692e443d28ecb9f070182d5c56ea5bbaefd2ae21b2776d907ea280ebf81cae0c332391e7e7e7d5e3be3084220
diff --git a/sci-physics/oneloop/files/oneloop-2020.07.31-config.patch b/sci-physics/oneloop/files/oneloop-3.6_p20200731-config.patch
index 4af47e066..4af47e066 100644
--- a/sci-physics/oneloop/files/oneloop-2020.07.31-config.patch
+++ b/sci-physics/oneloop/files/oneloop-3.6_p20200731-config.patch
diff --git a/sci-physics/oneloop/metadata.xml b/sci-physics/oneloop/metadata.xml
index 35b6c2bd9..40e059101 100644
--- a/sci-physics/oneloop/metadata.xml
+++ b/sci-physics/oneloop/metadata.xml
@@ -9,7 +9,23 @@
<email>sci-physics@gentoo.org</email>
<name>Gentoo Physics Project</name>
</maintainer>
+ <longdescription lang="en">
+ Library of one-loop scalar functions by Andreas van Hameren.
+ Commonly named avh_olo and used by/for cuttools.
+ </longdescription>
<upstream>
<remote-id type="bitbucket">hameren/oneloop</remote-id>
</upstream>
+ <use>
+ <flag name="dpkind">double precision</flag>
+ <flag name="qpkind">quad precision</flag>
+ <flag name="dpkind16">double16 precision</flag>
+ <flag name="qpkind16">quad16 precision</flag>
+ <flag name="ddcpp">double use sci-libs/qd</flag>
+ <flag name="qdcpp">quad use sci-libs/qd</flag>
+ <flag name="arprec"> use sci-libs/arprec</flag>
+ <flag name="mpfun90"> use sci-libs/mpfun90</flag>
+ <flag name="tlevel"> enable tlevel</flag>
+ <flag name="cppintf"> enable cppintf</flag>
+ </use>
</pkgmetadata>
diff --git a/sci-physics/oneloop/oneloop-2020.07.31.ebuild b/sci-physics/oneloop/oneloop-2020.07.31.ebuild
deleted file mode 100644
index 9344d1513..000000000
--- a/sci-physics/oneloop/oneloop-2020.07.31.ebuild
+++ /dev/null
@@ -1,46 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-# python only needed for create.py to get binaries
-PYTHON_COMPAT=( python3_{10..11} )
-inherit toolchain-funcs python-any-r1 fortran-2
-
-DESCRIPTION="Library of one-loop scalar functions"
-HOMEPAGE="https://bitbucket.org/hameren/oneloop"
-SRC_URI="https://bitbucket.org/hameren/oneloop/get/3762b8bad6ad.zip -> ${P}.zip"
-S="${WORKDIR}/hameren-oneloop-3762b8bad6ad"
-
-LICENSE="GPL-3+"
-SLOT="0"
-KEYWORDS="~amd64"
-
-BDEPEND="
- ${PYTHON_DEPS}
- app-arch/unzip
-"
-
-PATCHES=(
- "${FILESDIR}"/${P}-config.patch
-)
-
-src_configure() {
- tc-export FC
- sed -i "/FC = /s/gfortran/${FC}/g" Config || die
- sed -i "/FFLAGS = /s/ -O/${FFLAGS} -fPIC/g" Config || die
-}
-
-src_compile() {
- tc-export FC
- emake -f make_cuttools
- ${EPYTHON} ./create.py || die "Failed to compile"
- #./create.py dynamic || die
- ${FC} ${LDFLAGS} -Wl,-soname,libavh_olo.so -shared -o libavh_olo.so avh_olo.o || die "Failed to link"
-}
-
-src_install() {
- dolib.a libavh_olo.a
- dolib.so libavh_olo.so
- doheader avh_olo.mod
-}
diff --git a/sci-physics/oneloop/oneloop-3.6.ebuild b/sci-physics/oneloop/oneloop-3.6.ebuild
new file mode 100644
index 000000000..1a7f5d864
--- /dev/null
+++ b/sci-physics/oneloop/oneloop-3.6.ebuild
@@ -0,0 +1,106 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_P=OneLOop-${PV}
+
+# python only needed for create.py to get binaries
+PYTHON_COMPAT=( python3_{10..12} )
+inherit fortran-2 python-any-r1 toolchain-funcs
+
+DESCRIPTION="Library of one-loop scalar functions"
+HOMEPAGE="
+ https://helac-phegas.web.cern.ch/OneLOop.html
+ https://bitbucket.org/hameren/oneloop
+"
+SRC_URI="http://helac-phegas.web.cern.ch/helac-phegas/tar-files/${MY_P}.tgz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+dpkind +qpkind qpkind16 dpkind16 qdcpp ddcpp mpfun90 arprec tlevel cppintf"
+REQUIRED_USE="
+ ?? ( dpkind dpkind16 ddcpp )
+ ?? ( qpkind qpkind16 qdcpp )
+ ?? ( arprec mpfun90 )
+ || ( dpkind dpkind16 ddcpp qpkind qpkind16 qdcpp )
+"
+
+DEPEND="
+ qpkind? ( sci-libs/qd )
+ qpkind16? ( sci-libs/qd )
+ arprec? ( sci-libs/arprec )
+ mpfun90? ( sci-libs/mpfun90 )
+"
+RDEPEND="${DEPEND}"
+BDEPEND="
+ ${PYTHON_DEPS}
+ app-arch/unzip
+"
+
+src_configure() {
+ tc-export FC
+ # set fortran
+ sed -i "/FC = /s/gfortran/${FC}/g" Config || die
+ sed -i "/FFLAGS = /s/ -O/${FFLAGS} -fPIC/g" Config || die
+ # Clear config
+ sed -i "s/^DPKIND.*$//g" Config || die
+ sed -i "s/^QPKIND.*$//g" Config || die
+
+ if use dpkind ; then
+ echo "DPKIND = kind(1d0)" >> Config || die
+ fi
+ if use qpkind ; then
+ echo "QPKIND = kind(1d0)" >> Config || die
+ fi
+ if use dpkind16 ; then
+ echo "DPKIND = 16" >> Config || die
+ fi
+ if use qpkind16 ; then
+ echo "QPKIND = 16" >> Config || die
+ fi
+
+ if use qdcpp ; then
+ echo "QDTYPE = qdcpp" >> Config || die
+ fi
+ if use ddcpp ; then
+ echo "DDTYPE = qdcpp" >> Config || die
+ fi
+
+ if use mpfun90 ; then
+ echo "MPTYPE = mpfun90" >> Config || die
+ fi
+ if use arprec ; then
+ echo "MPTYPE = arprec" >> Config || die
+ fi
+
+ if use tlevel ; then
+ sed -i "s/^.*TLEVEL.*$/TLEVEL = yes/" Config || die
+ else
+ sed -i "s/^.*TLEVEL.*$/TLEVEL = no/" Config || die
+ fi
+ if use cppintf ; then
+ sed -i "s/^.*CPPINTF.*$/CPPINTF = yes/" Config || die
+ else
+ sed -i "s/^.*CPPINTF.*$/CPPINTF = no/" Config || die
+ fi
+}
+
+src_compile() {
+ tc-export FC
+ #emake -f make_cuttools
+ ${EPYTHON} ./create.py source || die "Failed to compile"
+ # create.py does not use soname, so we do it ourself
+ #./create.py dynamic || die
+ ${FC} -O -fPIC -c avh_olo.f90 -o avh_olo.o || die
+ ${FC} ${LDFLAGS} -Wl,-soname,libavh_olo.so -shared -o libavh_olo.so *.o || die
+}
+
+src_install() {
+ #dolib.a libavh_olo.a
+ dolib.so libavh_olo.so
+ doheader *.mod
+ dosym libavh_olo.so /usr/$(get_libdir)/liboneloop.so
+}
diff --git a/sci-physics/oneloop/oneloop-3.6_p20200731.ebuild b/sci-physics/oneloop/oneloop-3.6_p20200731.ebuild
new file mode 100644
index 000000000..e25833759
--- /dev/null
+++ b/sci-physics/oneloop/oneloop-3.6_p20200731.ebuild
@@ -0,0 +1,104 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# python only needed for create.py to get binaries
+PYTHON_COMPAT=( python3_{10..12} )
+inherit fortran-2 python-any-r1 toolchain-funcs
+
+DESCRIPTION="Library of one-loop scalar functions"
+HOMEPAGE="
+ https://helac-phegas.web.cern.ch/OneLOop.html
+ https://bitbucket.org/hameren/oneloop
+"
+SRC_URI="https://bitbucket.org/hameren/oneloop/get/3762b8bad6ad.zip -> ${P}.zip"
+S="${WORKDIR}/hameren-oneloop-3762b8bad6ad"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+dpkind +qpkind qpkind16 dpkind16 qdcpp ddcpp mpfun90 arprec tlevel cppintf"
+REQUIRED_USE="
+ ?? ( dpkind dpkind16 ddcpp )
+ ?? ( qpkind qpkind16 qdcpp )
+ ?? ( arprec mpfun90 )
+ || ( dpkind dpkind16 ddcpp qpkind qpkind16 qdcpp )
+"
+
+DEPEND="
+ qpkind? ( sci-libs/qd )
+ qpkind16? ( sci-libs/qd )
+ arprec? ( sci-libs/arprec )
+ mpfun90? ( sci-libs/mpfun90 )
+"
+RDEPEND="${DEPEND}"
+BDEPEND="
+ ${PYTHON_DEPS}
+ app-arch/unzip
+"
+
+src_configure() {
+ tc-export FC
+ # set fortran
+ sed -i "/FC = /s/gfortran/${FC}/g" Config || die
+ sed -i "/FFLAGS = /s/ -O/${FFLAGS} -fPIC/g" Config || die
+ # Clear config
+ sed -i "s/^DPKIND.*$//g" Config || die
+ sed -i "s/^QPKIND.*$//g" Config || die
+
+ if use dpkind ; then
+ echo "DPKIND = kind(1d0)" >> Config || die
+ fi
+ if use qpkind ; then
+ echo "QPKIND = kind(1d0)" >> Config || die
+ fi
+ if use dpkind16 ; then
+ echo "DPKIND = 16" >> Config || die
+ fi
+ if use qpkind16 ; then
+ echo "QPKIND = 16" >> Config || die
+ fi
+
+ if use qdcpp ; then
+ echo "QDTYPE = qdcpp" >> Config || die
+ fi
+ if use ddcpp ; then
+ echo "DDTYPE = qdcpp" >> Config || die
+ fi
+
+ if use mpfun90 ; then
+ echo "MPTYPE = mpfun90" >> Config || die
+ fi
+ if use arprec ; then
+ echo "MPTYPE = arprec" >> Config || die
+ fi
+
+ if use tlevel ; then
+ sed -i "s/^.*TLEVEL.*$/TLEVEL = yes/" Config || die
+ else
+ sed -i "s/^.*TLEVEL.*$/TLEVEL = no/" Config || die
+ fi
+ if use cppintf ; then
+ sed -i "s/^.*CPPINTF.*$/CPPINTF = yes/" Config || die
+ else
+ sed -i "s/^.*CPPINTF.*$/CPPINTF = no/" Config || die
+ fi
+}
+
+src_compile() {
+ tc-export FC
+ #emake -f make_cuttools
+ ${EPYTHON} ./create.py source || die "Failed to compile"
+ # create.py does not use soname, so we do it ourself
+ #./create.py dynamic || die
+ ${FC} -O -fPIC -c avh_olo.f90 -o avh_olo.o || die
+ ${FC} ${LDFLAGS} -Wl,-soname,libavh_olo.so -shared -o libavh_olo.so *.o || die
+}
+
+src_install() {
+ #dolib.a libavh_olo.a
+ dolib.so libavh_olo.so
+ doheader *.mod
+ dosym libavh_olo.so /usr/$(get_libdir)/liboneloop.so
+}
diff --git a/sci-physics/openloops/Manifest b/sci-physics/openloops/Manifest
new file mode 100644
index 000000000..053e3b83d
--- /dev/null
+++ b/sci-physics/openloops/Manifest
@@ -0,0 +1 @@
+DIST OpenLoops-OpenLoops-2.1.3.tar.bz2 3769562 BLAKE2B ddb664a7310662e2d0891e31870d614c191b0248f1b4c8816d4f33b6709005eea7435fda73c354092a28d55a0b106ec9358fb4e4a7a6ed592d61208ff5334e85 SHA512 a5ae2431506f8e169c42dd1d5fa3db70b4e2d62dfa744041fcd61d8554daba0700d453e9198e50a3e85cb3f196277c0f011fb408fd5913cd6a1c42ed71bb9d51
diff --git a/sci-physics/openloops/files/openloops-2.1.2-ldflags.patch b/sci-physics/openloops/files/openloops-2.1.2-ldflags.patch
new file mode 100644
index 000000000..5f5076581
--- /dev/null
+++ b/sci-physics/openloops/files/openloops-2.1.2-ldflags.patch
@@ -0,0 +1,11 @@
+--- a/pyol/tools/OLBaseConfig.py 2024-05-07 17:59:46.060792049 +0200
++++ b/pyol/tools/OLBaseConfig.py 2024-05-07 18:02:07.269403340 +0200
+@@ -182,7 +182,7 @@
+ parse_option(config, 'f90_flags', interpolate=True, converter=split_list)
+ parse_option(config, 'f_flags', interpolate=True, converter=split_list)
+ parse_option(config, 'common_flags', interpolate=True, converter=split_list)
+- parse_option(config, 'link_flags', interpolate=True, converter=split_list)
++ parse_option(config, 'link_flags', interpolate=True, converter=str.split)
+ parse_option(config, 'debug_flags_1', converter=split_list)
+ parse_option(config, 'debug_flags_4', interpolate=True,
+ converter=split_list)
diff --git a/sci-physics/openloops/files/openloops-2.1.2-python3.12.patch b/sci-physics/openloops/files/openloops-2.1.2-python3.12.patch
new file mode 100644
index 000000000..1e76a1835
--- /dev/null
+++ b/sci-physics/openloops/files/openloops-2.1.2-python3.12.patch
@@ -0,0 +1,34 @@
+--- a/SConstruct 2024-05-07 15:56:26.162295325 +0200
++++ b/SConstruct 2024-05-07 15:56:14.115460655 +0200
+@@ -404,8 +404,9 @@
+ F90FLAGS = config['f90_flags'] + config['generic_optimisation'],
+ LINKFLAGS = config['link_flags'],
+ LIBPATH = [config['generic_lib_dir']],
+- DOLLAR = '\$$',
+- RPATH = [HashableLiteral('\$$ORIGIN')],
++ DOLLAR = '\\$$',
++ RPATH = [HashableLiteral('\\$$ORIGIN')],
++ SHLIBVERSION = release_version,
+ F90 = config['fortran_compiler'],
+ FORTRAN = config['fortran_compiler'],
+ CC = config['cc'])
+@@ -719,7 +719,7 @@
+ processes_seen[processlib] = loops
+ process_list = process_list_nodup
+
+-env.Append(RPATH = [HashableLiteral('\$$ORIGIN/../lib')])
++env.Append(RPATH = [HashableLiteral('\\$$ORIGIN/../lib')])
+
+
+ for (loops, process_api, processlib) in process_list:
+--- a/SConstruct 2024-05-07 15:59:46.808415000 +0200
++++ b/SConstruct 2024-05-07 16:00:46.839244667 +0200
+@@ -796,7 +796,7 @@
+ env = env,
+ shared = config['shared_libraries'],
+ env_mod = [
+- ('^(virtual_\d|tensorsum_|loop_)',
++ ('^(virtual_\\d|tensorsum_|loop_)',
+ {'F90FLAGS': config['f90_flags'] + config['loop_optimisation']}),
+ ('',
+ {'F90FLAGS': config['f90_flags'] + config['born_optimisation']})]
diff --git a/sci-physics/openloops/metadata.xml b/sci-physics/openloops/metadata.xml
new file mode 100644
index 000000000..5bec6ac4c
--- /dev/null
+++ b/sci-physics/openloops/metadata.xml
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>alexander@neuwirth-informatik.de</email>
+ <name>Alexander Puck Neuwirth</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>sci-physics@gentoo.org</email>
+ <name>Gentoo Physics Project</name>
+ </maintainer>
+ <longdescription lang="en">
+ The OpenLoops 2 program is a fully automated implementation of the Open Loops algorithm combined with on-the-fly reduction methods, which allows for the fast and stable numerical evaluation of tree and one-loop matrix elements for any Standard Model process at NLO QCD and NLO EW.
+ </longdescription>
+ <upstream>
+ <remote-id type="gitlab">openloops/OpenLoops</remote-id>
+ </upstream>
+ <use>
+ <flag name="collier">Build with collier</flag>
+ <flag name="extra">Build libs with extra</flag>
+ <flag name="cuttools">Build with cuttools</flag>
+ </use>
+</pkgmetadata>
diff --git a/sci-physics/openloops/openloops-2.1.3.ebuild b/sci-physics/openloops/openloops-2.1.3.ebuild
new file mode 100644
index 000000000..a53eb1f9e
--- /dev/null
+++ b/sci-physics/openloops/openloops-2.1.3.ebuild
@@ -0,0 +1,108 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit fortran-2 python-single-r1 scons-utils toolchain-funcs
+
+MY_PN=OpenLoops
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="Evaluation of tree and one-loop matrix elements for any Standard Model."
+HOMEPAGE="https://openloops.hepforge.org/index.html"
+#SRC_URI="https://openloops.hepforge.org/downloads?f=${MY_P}.tar.gz -> ${MY_P}.tar.gz"
+#S="${WORKDIR}/${MY_P}"
+SRC_URI="https://gitlab.com/openloops/OpenLoops/-/archive/${MY_P}/${MY_PN}-${MY_P}.tar.bz2"
+S="${WORKDIR}/${MY_PN}-${MY_P}"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+collier +cuttools +extra"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+ sci-physics/qcdloop
+ sci-physics/oneloop[dpkind,qpkind16,-qpkind,-cppintf]
+ collier? ( sci-physics/collier[-static-libs] )
+ cuttools? ( sci-physics/cuttools[dummy] )
+ ${PYTHON_DEPS}
+"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-2.1.2-ldflags.patch"
+)
+
+src_prepare() {
+ default
+ mv openloops.cfg.tmpl openloops.cfg || die
+ sed -i "s|scons -Q|scons -Q -C /opt/${MY_P}/|g" openloops || die
+ if use extra ; then
+ sed -i "s|#compile_extra.*|compile_extra = 1|" openloops.cfg || die
+ fi
+
+ cat <<-EOF >> openloops.cfg || die
+ compile_libraries = rambo trred
+ link_libraries = $(usev collier) $(usev cuttools)
+ ccflags = ${CFLAGS}
+ cxxflags = ${CXXFLAGS}
+ f_flags = ${FFLAGS} -I${ESYSROOT}/usr/include/ -I${ESYSROOT}/usr/include/cuttools -lcollier
+ link_flags = ${LDFLAGS} -I${ESYSROOT}/usr/include/ -I${ESYSROOT}/usr/include/cuttools -lcollier
+ cc = $(tc-getCC)
+ cxx = $(tc-getCXX)
+ fortran_compiler = $(tc-getFC)
+ process_src_dir = ${EPREFIX}/opt/${MY_P}/process_src/
+ process_obj_dir = ${EPREFIX}/opt/${MY_P}/process_obj/
+ process_lib_dir = ${EPREFIX}/opt/${MY_P}/proclib/
+ release = $PV
+ import_env = @all
+ EOF
+
+ # fix rename for py3.12
+ sed -i 's/SafeConfigParser/ConfigParser/g' pyol/tools/OLBaseConfig.py || die
+ # wipe local scons
+ rm -r scons-local || die
+ rm scons || die
+}
+
+src_compile() {
+ escons --cache-disable
+}
+
+src_install() {
+ dosym ../opt/${MY_P} /opt/OpenLoops2
+ dobin openloops
+ cd include || die
+ doheader openloops.h
+ cd ../lib || die
+ # Also install so.version links
+ dolib.so libolcommon.so* libopenloops.so* librambo.so* libtrred.so*
+ cd ../lib_src/olcommon/mod || die
+ doheader *.mod
+ cd ../../openloops/mod || die
+ doheader *.mod
+ cd ../../rambo/mod || die
+ doheader *.mod
+ cd ../../trred/mod || die
+ doheader *.mod
+
+ cd "${S}" || die "Failed to cd into ${S}"
+ insinto /opt/${MY_P}
+ doins openloops.cfg SConstruct
+ doins -r pyol
+
+ # Previous method of allowing everyone everything
+ # maybe better to use a group for that
+ # for now like lhapdf just let root install
+ #fperms -R a=u /opt/${MY_P}
+ #fperms a=u /opt/${MY_P}
+
+}
+
+pkg_postinst() {
+ elog "Install processes with openloops libinstall."
+ elog "They are installed in /opt/${MY_P}/proclib."
+}
diff --git a/sci-physics/photos/Manifest b/sci-physics/photos/Manifest
new file mode 100644
index 000000000..5fcd8e48e
--- /dev/null
+++ b/sci-physics/photos/Manifest
@@ -0,0 +1 @@
+DIST PHOTOS.3.64.tar.gz 1415406 BLAKE2B 503247dbcaa15d801850e8cf4981aaffd7b04c13c6542543fab88d00e08ebd6831b828ddfbd3d26469f2cddcfc21acfbeaae171f3778deaabd5abddcc1d64d0e SHA512 750e213a257479b41ac9b4848787a61035ab5ed2157d3b4e3b4b0a081241f5c76e882f66b401dcfbea363e7154aa2a4ae1ba05ac1e40a35c2e5687d10910085e
diff --git a/sci-physics/photos/metadata.xml b/sci-physics/photos/metadata.xml
new file mode 100644
index 000000000..0a24d3422
--- /dev/null
+++ b/sci-physics/photos/metadata.xml
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>alexander@neuwirth-informatik.de</email>
+ <name>Alexander Puck Neuwirth</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>sci-physics@gentoo.org</email>
+ <name>Gentoo Physics Project</name>
+ </maintainer>
+
+ <longdescription lang="en">
+ The main application of PHOTOS is the generation of QED radiative corrections in decays of any resonances, simulated by a "host" Monte Carlo generator
+ </longdescription>
+
+ <use>
+ <flag name="pythia">Build with pythia</flag>
+ <flag name="hepmc2">Build with hepmc 2</flag>
+ <flag name="hepmc3">Build with hepmc 3</flag>
+ <flag name="tauola">Build with tauola</flag>
+ </use>
+</pkgmetadata>
diff --git a/sci-physics/photos/photos-3.64.ebuild b/sci-physics/photos/photos-3.64.ebuild
new file mode 100644
index 000000000..32c09af64
--- /dev/null
+++ b/sci-physics/photos/photos-3.64.ebuild
@@ -0,0 +1,82 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit fortran-2 autotools
+
+MY_PN="PHOTOS"
+MY_P=${MY_PN}.${PV}
+
+DESCRIPTION="Monte Carlo for bremsstrahlung in the decay of particles and resonances"
+HOMEPAGE="
+ https://gitlab.cern.ch/photospp/photospp
+ http://photospp.web.cern.ch/photospp/
+"
+SRC_URI="https://photospp.web.cern.ch/resources/${MY_P}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_PN}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc examples hepmc2 hepmc3 pythia tauola"
+
+RDEPEND="
+ hepmc2? ( sci-physics/hepmc:2=[-cm(-),gev(+)] )
+ hepmc3? ( sci-physics/hepmc:3=[-cm(-),gev(+)] )
+ pythia? ( sci-physics/pythia:8= )
+ tauola? ( sci-physics/tauola[hepmc2?,hepmc3?,pythia?] )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ doc? (
+ app-text/doxygen[dot]
+ app-text/ghostscript-gpl
+ app-text/texlive
+ )
+"
+REQUIRED_USE=" || ( hepmc2 hepmc3 )"
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --without-mc-tester \
+ $(use_with hepmc3 hepmc3 "${EPREFIX}/usr") \
+ $(use_with hepmc2 hepmc "${EPREFIX}/usr") \
+ $(use_with pythia pythia8 "${EPREFIX}/usr") \
+ $(use_with tauola tauola "${EPREFIX}/usr")
+ # weird autoconf + Makefile
+ cat <<-EOF >> make.inc || die
+ LDFLAGS += ${LDFLAGS}
+ CFLAGS += ${CFLAGS}
+ FFLAGS += ${FFLAGS}
+ EOF
+}
+
+src_compile() {
+ emake -j1
+
+ if use doc; then
+ cd "${S}/documentation/doxy_documentation" || die
+ default
+ cd "${S}/documentation/latex_documentation" || die
+ default
+ fi
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+
+ if use doc; then
+ dodoc documentation/doxy_documentation/html/*
+ dodoc documentation/latex_documentation/*.pdf
+ fi
+
+ if use examples; then
+ dodoc -r examples
+ fi
+}
diff --git a/sci-physics/qgraf/Manifest b/sci-physics/qgraf/Manifest
index 32519be3c..c633a5b46 100644
--- a/sci-physics/qgraf/Manifest
+++ b/sci-physics/qgraf/Manifest
@@ -1,3 +1,4 @@
DIST qgraf-3.4.2.tgz 358979 BLAKE2B 06c5cf82faab531d6d17387d62e80b2e395ad0ffd80a69dc49608588f4acdf23d226877db047d3906963b5f64d85329665fed0e10359ddbb649122fb328b78f8 SHA512 e86f94480eaf7cd0b4d79b60ec1420c21f0285133f2184d1c0a1d05ec0d9abc3e483d100d43c38fafc06bf8cecea413c0304adcb64d900522e877b1a24e7b61b
DIST qgraf-3.5.2.tgz 426930 BLAKE2B 0bd50cbefee9a91cdfe9a15a53fb018c1b15088b211a03dde63f08410bbac4acd7586ef4cece17debd5197d3d5b7a8c889aeec27d7f3f137df7ef95f1687a709 SHA512 1e1fbafc80c60a663537a5ca555f405ec1517beccf09e2f68fcd9c84963b4b20d3a66e77980c4c4ff68f82950dc41f4492dc0272fdf5e3c105861fcf4c0e8c80
DIST qgraf-3.6.7.tgz 460592 BLAKE2B d4275d7e5b9138eab3a2848b1e75883a4d52b61bdddd2ecbefe674559a56d9315bb03bd86c5a607f01d708c634f35b180f4cfde99242e65a40bf3f81ce6fa9e3 SHA512 c721eb82975a6077da77a82f7875d0e0346e21932d0312109d1bab68391a0210fc3f7ff79327d515668dedee0c5fce4e01d7433177232c43a4e39d8204f01405
+DIST qgraf-4.0.1.tgz 420190 BLAKE2B 3f13757da764c6b9653e1c3463557223d5e87cc7f376967300c094c8d96942ab807500a0a2d570a66600cb926681bbda5ed6c69c44dbffbba1f481d2eb7f8459 SHA512 e5f3b586b29413c71434ac144dc2355959f4e736aa5ad55fa17f888d4ddc7cc1bf2ff92cc544e538471c13aea95ddd1d9248f71622f84d4daa173abbbbb0dc8a
diff --git a/sci-physics/qgraf/qgraf-4.0.1.ebuild b/sci-physics/qgraf/qgraf-4.0.1.ebuild
new file mode 100644
index 000000000..942ef732a
--- /dev/null
+++ b/sci-physics/qgraf/qgraf-4.0.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs fortran-2
+
+DESCRIPTION="qgraf generates Feynman diagrams for various types of QFT models"
+HOMEPAGE="http://cfif.ist.utl.pt/~paulo/qgraf.html"
+SRC_URI="http://anonymous:anonymous@qgraf.tecnico.ulisboa.pt/v$(ver_cut 1-2)/qgraf-${PV}.tgz"
+S="${WORKDIR}"
+
+LICENSE="all-rights-reserved"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc examples"
+RESTRICT="bindist mirror"
+
+src_compile() {
+ $(tc-getFC) ${P}.f08 -o ${PN} ${FFLAGS} ${LDFLAGS} || die "Failed to compile"
+}
+
+src_install() {
+ dobin ${PN}
+
+ use doc && dodoc *.pdf
+ if use examples; then
+ docinto examples
+ dodoc phi3 qed qcd *.sty *.dat
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+}
diff --git a/sci-physics/sherpa/Manifest b/sci-physics/sherpa/Manifest
new file mode 100644
index 000000000..6913c06e1
--- /dev/null
+++ b/sci-physics/sherpa/Manifest
@@ -0,0 +1 @@
+DIST sherpa-v3.0.0beta1.tar.bz2 5836616 BLAKE2B 5347b6a83b80b148740c6fbf44c4d8f547a30eb85ba70ae4ad620cb3cca3f9d8255c45502969a83dca98d2825207a192ac3cae11dc3b914afdaaf9d65f2e6932 SHA512 9c34851193227a233c962b19cdff00302608d1695841d97de09d2bd40b84ccbd2a2a9f3c89e68e288bdf522e9b4c7fb8fc52032f199014898ac6bacbf628c8ce
diff --git a/sci-physics/sherpa/metadata.xml b/sci-physics/sherpa/metadata.xml
new file mode 100644
index 000000000..8018d7c68
--- /dev/null
+++ b/sci-physics/sherpa/metadata.xml
@@ -0,0 +1,27 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>APN-Pucky@users.noreply.github.com</email>
+ <name>APN-Pucky</name>
+ </maintainer>
+ <longdescription lang="en">
+ Sherpa is a Monte Carlo event generator for the Simulation of High-Energy Reactions of PArticles in lepton-lepton, lepton-photon, photon-photon, lepton-hadron and hadron-hadron collisions. Simulation programs - also dubbed event generators - like Sherpa are indispensable work horses for current particle physics phenomenology and are (at) the interface between theory and experiment.
+ </longdescription>
+ <upstream>
+ <remote-id type="gitlab">sherpa-team/sherpa</remote-id>
+ </upstream>
+ <use>
+ <flag name="hepmc2">Build with HepMC2</flag>
+ <flag name="fastjet">Build with FastJet</flag>
+ <flag name="pythia6">Build with Pythia6</flag>
+ <flag name="pythia8">Build with Pythia8</flag>
+ <flag name="rivet">Build with Rivet</flag>
+ <flag name="root">Build with Root</flag>
+ <flag name="ufo">UFO python interface</flag>
+ <flag name="lhole">lhole support</flag>
+ <flag name="analysis">analysis support</flag>
+ <flag name="openloops">Openloops support</flag>
+ </use>
+
+</pkgmetadata>
diff --git a/sci-physics/sherpa/sherpa-3.0.0_beta1.ebuild b/sci-physics/sherpa/sherpa-3.0.0_beta1.ebuild
new file mode 100644
index 000000000..79f0efccd
--- /dev/null
+++ b/sci-physics/sherpa/sherpa-3.0.0_beta1.ebuild
@@ -0,0 +1,94 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit cmake fortran-2 python-single-r1
+
+MY_PN="SHERPA-MC"
+MY_PV=${PV//_/}
+MY_P=${MY_PN}-${MY_PV}
+
+DESCRIPTION="Simulation of High-Energy Reactions of PArticles"
+HOMEPAGE="
+ https://sherpa-team.gitlab.io/
+ https://gitlab.com/sherpa-team/sherpa
+"
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://gitlab.com/sherpa-team/sherpa"
+ EGIT_BRANCH="master"
+else
+ #SRC_URI="https://www.hepforge.org/archive/sherpa/${MY_P}.tar.gz"
+ SRC_URI="https://gitlab.com/sherpa-team/${PN}/-/archive/v${MY_PV}/${PN}-v${MY_PV}.tar.bz2"
+ S="${WORKDIR}/${PN}-v${MY_PV}"
+ KEYWORDS="~amd64"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+
+IUSE="+fastjet +pythia6 pythia8 rivet ufo hepmc2 root gzip mpi lhole analysis openloops" # blackhat recola gosam hztool madloop pgs mcfm
+REQUIRED_USE="
+ ufo? ( ${PYTHON_REQUIRED_USE} )
+"
+
+DEPEND="
+ sci-physics/lhapdf
+ dev-db/sqlite:3=
+ sci-physics/hepmc:3=
+ dev-libs/libzip
+ rivet? ( sci-physics/rivet )
+ gzip? ( app-arch/gzip )
+ pythia8? ( sci-physics/pythia:8= )
+ hepmc2? ( sci-physics/hepmc:2= )
+ fastjet? ( sci-physics/fastjet )
+ root? ( sci-physics/root )
+ mpi? ( virtual/mpi[cxx,fortran] )
+ ufo? ( ${PYTHON_DEPS} )
+ openloops? ( sci-physics/openloops )
+"
+# blackhat? ( sci-physics/blackhat )
+# gosam? ( sci-physics/gosam )
+# recola? ( sci-physics/recola )
+RDEPEND="${DEPEND}"
+
+pkg_setup() {
+ use ufo && python-single-r1_pkg_setup
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DSHERPA_ENABLE_THREADING=ON
+ -DSHERPA_ENABLE_ANALYSIS=$(usex analysis ON OFF)
+ -DSHERPA_ENABLE_GZIP=$(usex gzip ON OFF)
+ -DSHERPA_ENABLE_HEPMC2=$(usex hepmc2 ON OFF)
+ -DSHERPA_ENABLE_HEPMC3=ON
+ -DSHERPA_ENABLE_LHAPDF=ON
+ -DSHERPA_ENABLE_LHOLE=$(usex lhole ON OFF)
+ -DSHERPA_ENABLE_MPI=$(usex mpi ON OFF)
+ $(usex mpi -DCMAKE_C_COMPILER=mpicc)
+ $(usex mpi -DCMAKE_CXX_COMPILER=mpic++)
+ $(usex mpi -DCMAKE_Fortran_COMPILER=mpif90)
+ -DSHERPA_ENABLE_PYTHIA6=$(usex pythia6 ON OFF)
+ -DSHERPA_ENABLE_PYTHIA8=$(usex pythia8 ON OFF)
+ -DSHERPA_ENABLE_RIVET=$(usex rivet ON OFF)
+ -DSHERPA_ENABLE_ROOT=$(usex root ON OFF)
+ -DSHERPA_ENABLE_UFO=$(usex ufo ON OFF)
+ -DSHERPA_ENABLE_OPENLOOPS=$(usex openloops ON OFF)
+ -DOPENLOOPS_PREFIX=$(usex openloops "${ESYSROOT}/opt/OpenLoops2")
+ #-DSHERPA_ENABLE_GOSAM=$(usex gosam ON OFF)
+ #-DSHERPA_ENABLE_BLACKHAT=$(usex blackhat ON OFF)
+ #-DSHERPA_ENABLE_RECOLA=$(usex recola ON OFF)
+ )
+ cmake_src_configure
+}
+
+src_install() {
+ cmake_src_install
+
+ use ufo && python_optimize
+}
diff --git a/sci-physics/sherpa/sherpa-9999.ebuild b/sci-physics/sherpa/sherpa-9999.ebuild
new file mode 100644
index 000000000..79f0efccd
--- /dev/null
+++ b/sci-physics/sherpa/sherpa-9999.ebuild
@@ -0,0 +1,94 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit cmake fortran-2 python-single-r1
+
+MY_PN="SHERPA-MC"
+MY_PV=${PV//_/}
+MY_P=${MY_PN}-${MY_PV}
+
+DESCRIPTION="Simulation of High-Energy Reactions of PArticles"
+HOMEPAGE="
+ https://sherpa-team.gitlab.io/
+ https://gitlab.com/sherpa-team/sherpa
+"
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://gitlab.com/sherpa-team/sherpa"
+ EGIT_BRANCH="master"
+else
+ #SRC_URI="https://www.hepforge.org/archive/sherpa/${MY_P}.tar.gz"
+ SRC_URI="https://gitlab.com/sherpa-team/${PN}/-/archive/v${MY_PV}/${PN}-v${MY_PV}.tar.bz2"
+ S="${WORKDIR}/${PN}-v${MY_PV}"
+ KEYWORDS="~amd64"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+
+IUSE="+fastjet +pythia6 pythia8 rivet ufo hepmc2 root gzip mpi lhole analysis openloops" # blackhat recola gosam hztool madloop pgs mcfm
+REQUIRED_USE="
+ ufo? ( ${PYTHON_REQUIRED_USE} )
+"
+
+DEPEND="
+ sci-physics/lhapdf
+ dev-db/sqlite:3=
+ sci-physics/hepmc:3=
+ dev-libs/libzip
+ rivet? ( sci-physics/rivet )
+ gzip? ( app-arch/gzip )
+ pythia8? ( sci-physics/pythia:8= )
+ hepmc2? ( sci-physics/hepmc:2= )
+ fastjet? ( sci-physics/fastjet )
+ root? ( sci-physics/root )
+ mpi? ( virtual/mpi[cxx,fortran] )
+ ufo? ( ${PYTHON_DEPS} )
+ openloops? ( sci-physics/openloops )
+"
+# blackhat? ( sci-physics/blackhat )
+# gosam? ( sci-physics/gosam )
+# recola? ( sci-physics/recola )
+RDEPEND="${DEPEND}"
+
+pkg_setup() {
+ use ufo && python-single-r1_pkg_setup
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DSHERPA_ENABLE_THREADING=ON
+ -DSHERPA_ENABLE_ANALYSIS=$(usex analysis ON OFF)
+ -DSHERPA_ENABLE_GZIP=$(usex gzip ON OFF)
+ -DSHERPA_ENABLE_HEPMC2=$(usex hepmc2 ON OFF)
+ -DSHERPA_ENABLE_HEPMC3=ON
+ -DSHERPA_ENABLE_LHAPDF=ON
+ -DSHERPA_ENABLE_LHOLE=$(usex lhole ON OFF)
+ -DSHERPA_ENABLE_MPI=$(usex mpi ON OFF)
+ $(usex mpi -DCMAKE_C_COMPILER=mpicc)
+ $(usex mpi -DCMAKE_CXX_COMPILER=mpic++)
+ $(usex mpi -DCMAKE_Fortran_COMPILER=mpif90)
+ -DSHERPA_ENABLE_PYTHIA6=$(usex pythia6 ON OFF)
+ -DSHERPA_ENABLE_PYTHIA8=$(usex pythia8 ON OFF)
+ -DSHERPA_ENABLE_RIVET=$(usex rivet ON OFF)
+ -DSHERPA_ENABLE_ROOT=$(usex root ON OFF)
+ -DSHERPA_ENABLE_UFO=$(usex ufo ON OFF)
+ -DSHERPA_ENABLE_OPENLOOPS=$(usex openloops ON OFF)
+ -DOPENLOOPS_PREFIX=$(usex openloops "${ESYSROOT}/opt/OpenLoops2")
+ #-DSHERPA_ENABLE_GOSAM=$(usex gosam ON OFF)
+ #-DSHERPA_ENABLE_BLACKHAT=$(usex blackhat ON OFF)
+ #-DSHERPA_ENABLE_RECOLA=$(usex recola ON OFF)
+ )
+ cmake_src_configure
+}
+
+src_install() {
+ cmake_src_install
+
+ use ufo && python_optimize
+}
diff --git a/sci-physics/tauola/files/tauola-1.1.8-tau-spinner-makefile-install.patch b/sci-physics/tauola/files/tauola-1.1.8-tau-spinner-makefile-install.patch
new file mode 100644
index 000000000..2d93959c5
--- /dev/null
+++ b/sci-physics/tauola/files/tauola-1.1.8-tau-spinner-makefile-install.patch
@@ -0,0 +1,22 @@
+--- a/Makefile 2020-01-28 18:43:43.000000000 +0100
++++ b/Makefile 2024-05-07 21:51:01.306908458 +0200
+@@ -48,7 +48,7 @@
+ mkdir -p $(DESTDIR)/$(PREFIX)/include/Tauola
+ install -m 644 include/Tauola/* $(DESTDIR)/$(PREFIX)/include/Tauola/.
+ mkdir -p $(DESTDIR)/$(LIBDIR)
+- install lib/*so.$(LIB_VER) $(DESTDIR)/$(LIBDIR)/
++ install lib/*so.* $(DESTDIR)/$(LIBDIR)/
+ install lib/*a $(DESTDIR)/$(LIBDIR)/
+ cp -P lib/*so $(DESTDIR)/$(LIBDIR)/
+
+--- a/TauSpinner/Makefile 2024-05-07 21:57:58.542875180 +0200
++++ b/TauSpinner/Makefile 2024-05-07 21:58:42.993509785 +0200
+@@ -52,7 +52,7 @@
+
+ libTauSpinner: $(TAU_SPINNER_OBJECTS)
+ ar cr lib/$(LIB_TAU_SPINNER_A) $(TAU_SPINNER_OBJECTS)
+- $(LD) $(LDFLAGS) $(SOFLAGS) $(TAU_SPINNER_OBJECTS) -o lib/$(LIB_TAU_SPINNER_SO).$(LIB_VER)
++ $(LD) $(LDFLAGS) $(SOFLAGS) $(TAU_SPINNER_OBJECTS) -o lib/$(LIB_TAU_SPINNER_SO).$(LIB_VER) -Wl,-soname,$(LIB_TAU_SPINNER_SO)
+ ln -sf $(LIB_TAU_SPINNER_SO).$(LIB_VER) lib/$(LIB_TAU_SPINNER_SO)
+
+ clean:
diff --git a/sci-physics/tauola/metadata.xml b/sci-physics/tauola/metadata.xml
index b0f8228f8..fcbc9de77 100644
--- a/sci-physics/tauola/metadata.xml
+++ b/sci-physics/tauola/metadata.xml
@@ -2,14 +2,23 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>piatlicki@gmail.com</email>
+ <email>alexander@neuwirth-informatik.de</email>
+ <name>Alexander Puck Neuwirth</name>
</maintainer>
<maintainer type="project">
<email>sci-physics@gentoo.org</email>
<name>Gentoo Physics Project</name>
</maintainer>
+
+ <longdescription lang="en">
+ TAUOLA is a program that simulates the decays of polarized tau leptons, which are elementary particles that belong to the lepton family. Tau leptons are heavier than electrons and muons, and they can decay into various final states, such as hadrons, leptons, and neutrinos. TAUOLA can generate Monte Carlo events for tau lepton decays, taking into account the polarization, spin correlations, and radiative corrections. TAUOLA can also model anomalous and lepton flavor violating decays, which are beyond the standard model of particle physics.
+ </longdescription>
<use>
- <flag name="hepmc">Compile <pkg>sci-physics/hepmc</pkg> interface</flag>
+ <flag name="hepmc"> Compile with <pkg>sci-physics/hepmc</pkg> version 2 interface </flag>
+ <flag name="hepmc2"> Compile with <pkg>sci-physics/hepmc</pkg> version 2 interface </flag>
+ <flag name="hepmc3"> Compile with <pkg>sci-physics/hepmc</pkg> version 3 interface </flag>
+ <flag name="pythia"> Compile with <pkg>sci-physics/pythia</pkg> connection </flag>
+ <flag name="lhapdf"> Compile with <pkg>sci-physics/lhapdf</pkg> connection </flag>
<flag name="tau-spinner">Compile with TauSpinner library</flag>
</use>
</pkgmetadata>
diff --git a/sci-physics/tauola/tauola-1.1.8-r1.ebuild b/sci-physics/tauola/tauola-1.1.8-r1.ebuild
new file mode 100644
index 000000000..0e2b3fc3a
--- /dev/null
+++ b/sci-physics/tauola/tauola-1.1.8-r1.ebuild
@@ -0,0 +1,80 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit fortran-2
+
+MY_PN="TAUOLA"
+MY_P=${MY_PN}.${PV}
+
+DESCRIPTION="Tau decay Monte Carlo generator"
+HOMEPAGE="http://tauolapp.web.cern.ch/"
+SRC_URI="https://tauolapp.web.cern.ch/resources/${MY_P}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_PN}"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+hepmc3 +lhapdf doc examples hepmc2 pythia tau-spinner"
+REQUIRED_USE=" || ( hepmc2 hepmc3 ) tau-spinner? ( lhapdf )"
+
+RDEPEND="
+ hepmc2? ( sci-physics/hepmc:2=[-cm(-),gev(+)] )
+ hepmc3? ( sci-physics/hepmc:3=[-cm(-),gev(+)] )
+ pythia? ( sci-physics/pythia:8= )
+ lhapdf? ( sci-physics/lhapdf )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ doc? (
+ app-text/doxygen[dot]
+ app-text/ghostscript-gpl
+ app-text/texlive
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.1.8-tau-spinner-makefile-install.patch
+)
+
+src_configure() {
+ econf \
+ $(use_with lhapdf) \
+ $(use_with tau-spinner) \
+ $(use_with pythia pythia8 "${EPREFIX}/usr") \
+ $(use_with hepmc2 hepmc "${EPREFIX}/usr") \
+ $(use_with hepmc3 hepmc3 "${EPREFIX}/usr") \
+ --without-mc-tester
+ # weird autoconf + Makefile
+ cat <<-EOF >> make.inc || die
+ LDFLAGS += ${LDFLAGS}
+ CFLAGS += ${CFLAGS}
+ FFLAGS += ${FFLAGS}
+ EOF
+}
+
+src_compile() {
+ emake -j1
+
+ if use doc; then
+ cd "${S}/documentation/doxy_documentation" || die
+ default
+ cd "${S}/documentation/latex_documentation" || die
+ default
+ fi
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+
+ if use doc; then
+ dodoc documentation/doxy_documentation/html/*
+ dodoc documentation/latex_documentation/*.pdf
+ fi
+
+ if use examples; then
+ dodoc -r examples
+ docinto tau-spinner && dodoc -r TauSpinner/examples
+ fi
+}